#
# Conditional build:
%bcond_without	tests	# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	SQL
%define		pnam	Statement
Summary:	SQL::Statement - SQL parsing and processing engine
Summary(pl.UTF-8):	SQL::Statement - silnik do przetwarzania i analizy SQL
Name:		perl-SQL-Statement
Version:	1.405
Release:	1
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/SQL/REHSACK/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	22231c2e28996b5bfea9925d49c11de1
URL:		http://search.cpan.org/dist/SQL-Statement/
BuildRequires:	perl-devel >= 1:5.8.0
%if %{with tests}
BuildRequires:	perl-Clone >= 0.30
BuildRequires:	perl-Params-Util >= 1.00
BuildRequires:	perl-Test-Simple >= 0.90
%endif
BuildRequires:	rpm-perlprov >= 4.1-13
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Modules from this package can be used stand-alone to parse SQL
statements or used with DBI and DBD::CSV, DBD::AnyData or other
drivers to create, modify, and query data in many kinds of formats
including XML, CSV, Fixed Length, Excel Spreadsheets and many others.

%description -l pl.UTF-8
Moduły z tego pakietu mogą być używane samodzielnie do analizy
poleceń SQL, jak też razem ze sterownikami DBI i DBD::CSV,
DBD::AnyData lub innymi, do tworzenia i modyfikacji danych oraz
do wykonywania zapytań przy użyciu danych w wielu formatach, włączając
XML, CSV, dane o stałym rozmiarze, arkusze Excela i wiele innych.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor

%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes README
%{perl_vendorlib}/SQL/Dialects
%{perl_vendorlib}/SQL/Statement
%{perl_vendorlib}/SQL/Eval.pm
%{perl_vendorlib}/SQL/Parser.pm
%{perl_vendorlib}/SQL/Statement.pm
%{_mandir}/man3/SQL::Dialects::*.3pm*
%{_mandir}/man3/SQL::Eval.3pm*
%{_mandir}/man3/SQL::Parser.3pm*
%{_mandir}/man3/SQL::Statement*.3pm*
%changelog
* Tue Jun 25 2013 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/perl-SQL-Statement.git;a=log;h=master

* Tue Jun 25 2013 Jan Rękorajski <baggins@pld-linux.org> d42e854
- up to 1.405

* Sun Feb 20 2011 Jakub Bogusz <qboosh@pld-linux.org> 72f2673
- updated to 1.33

* Tue Jun 01 2010 sparky <sparky@pld-linux.org> ae7f8f6
- portable Source0 uri; added URL

* Tue Jun 01 2010 hawk <hawk@pld-linux.org> b234fa5
- BRs required by tests

* Tue Jun 01 2010 hawk <hawk@pld-linux.org> c506f3f
- updated to 1.27

* Sun Jul 27 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> 370d792
- release 2

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> 555fdba
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> e99d87a
- converted to UTF-8

* Thu May 25 2006 blaass <blaass@pld-linux.org> f199284
- up to 1.15

* Mon Jun 13 2005 petec <petec@pld-linux.org> f1cd1fc
- up to 1.14

* Wed Nov 03 2004 paladine <paladine@pld-linux.org> 8ad077a
- formatting

* Sat Jun 05 2004 radek <radek@pld-linux.org> 327902d
- cosmetic unification: s/^%define\s+(pdir|pnam)\s+/%define\t$1\t/

* Fri May 07 2004 ankry <ankry@pld-linux.org> 7e58d9c
- rel. 2

* Thu May 06 2004 ankry <ankry@pld-linux.org> 635802f
- fixed perl-devel BR

* Sun Apr 25 2004 Adam Gołębiowski <adamg@pld-linux.org> 8e30957
- new style bconds

* Sun Apr 25 2004 Adam Gołębiowski <adamg@pld-linux.org> 95383b7
- updated to 1.09

* Mon Apr 19 2004 Adam Gołębiowski <adamg@pld-linux.org> dfc91a1
- updated to 1.06

* Thu Apr 15 2004 ankry <ankry@pld-linux.org> b2c11da
- license and other cosmetics

* Tue Sep 09 2003 ankry <ankry@pld-linux.org> 4d8e50f
- spaces -> tab

* Mon Aug 18 2003 Tomasz Pala <gotar@pld-linux.org> f6d32ab
- mass commit: cosmetics (removed trailing white spaces)

